#pragma once

/*
	CIniSection
	t@C(*.ini)̓ǂݏs߂̃NX
	
	ӓ_(minit)
	t@C̓tpXŗ^Ȃƃt@CWindowsfBNgӂɐ
*/

#include <windows.h>
#include <atlbase.h>
#include <atlapp.h>
#include <atlmisc.h>

////////////////////////////////////////////////////////////////////////////
// CIniSection

namespace MTL {

class CIniSection
{
public:
// Constructor/destructor
	CIniSection();
	~CIniSection();
	
// Attributes
public:
	CString m_strFileName, m_strSectionName;
	
// Operations
public:
	// for "Profile" concepts 
	LONG SetValue(DWORD dwValue, LPCTSTR lpszValueName);
	LONG QueryValue(DWORD& dwValue, LPCTSTR lpszValueName);
	LONG QueryValue(LPTSTR szValue, LPCTSTR lpszValueName, DWORD* pdwCount);
	LONG SetValue(LPCTSTR lpszValue, LPCTSTR lpszValueName);
	LONG DeleteValue(LPCTSTR lpszValueName);
	LONG QueryString(CString& strBuf, LPCTSTR lpszValueName, DWORD dwBufSize = MAX_PATH);

	// original
	void Open(const CString& strFileName, const CString& strSectionName);
	void Close();

// Implementation
protected:
	enum { cnt_nDefault = 0xABCD0123 };// magic number

	BOOL IsOpen();
};

 
bool MtlIniDeleteSection(const CString& strIniFileName, const CString& strSectionName);
bool MtlIniDeleteAllSection(const CString& strIniFileName, const CString& strSectionName);

} //namespace MTL;
